#pragma once

#include "GXBase.h"

class Cylinder{
private:
	GLUquadric *_obj; // the GLUquadric object pointer
	GLfloat _fRadius, _fHeight; // radius
	GLuint _iSlices, _iStacks, _iTextureNum; // stacks, slices, textureNumber

public:	 
	//constructor - initialize some base variables
	Cylinder();

	//destructor - delete the gluQuadric object
	~Cylinder();
	
	//create the cylinder - pass the radius, height, slices and stacks
	// creates a gluQuadric, with texture set to on
	void create(const float radius, const float height, const GLuint texture);

	// draw the Cylinder
	void draw() const;
};
